FROM node:20-alpine

RUN corepack enable && corepack prepare pnpm@latest --activate

WORKDIR /app

COPY package.json pnpm-lock.yaml ./
RUN pnpm install

# We'll mount the source code as a volume, so we don't need to copy it here
EXPOSE 3000

CMD ["pnpm", "dev:server"]
